Last Comment Bug 779225 - GCLI does not accept auto-completed 'help' command without arguments
: GCLI does not accept auto-completed 'help' command without arguments
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Console (show other bugs)
: 16 Branch
: All All
: P1 normal (vote)
: Firefox 17
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 773227
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 11:21 PDT by Grant Gayed
Modified: 2012-08-29 02:44 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Grant Gayed 2012-07-31 11:21:47 PDT
- using the latest GCLI taken from github
- presumably can happen for some other commands as well

- view the index.html example page in GCLI's root directory
- type (no quotes) 'he'
- press <Tab> to auto-complete the 'help' command
- press <Enter> to invoke the command, but for some reason it is disallowed
- the command becomes invokable by removing the trailing space, or adding-then-removing a character, etc.
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-03 07:32:40 PDT
Thanks for the report. This bug should be fixed as a by-product of fixing bug 773227.
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-08-27 05:25:30 PDT
Triage.
Comment 3 Grant Gayed 2012-08-27 12:34:00 PDT
I just retrieved the latest GCLI content and still see this problem with the steps from comment 0.
Comment 4 Grant Gayed 2012-08-27 13:07:30 PDT
Sorry, there was something strange happening on my end.  I've verified that this is fixed in the latest.  I'm not able to set the report's status back to Fixed.

Note You need to log in before you can comment on or make changes to this bug.